## org.opengis.feature.simple
Interface TemporalAttribute

All Superinterfaces:
  Attribute, Property

    public interface TemporalAttribute

extends Attribute

Attribute bound to a Date class.

This class indicates getValue() returns a Date using Java 5 type narrowing, for for those working against java 1.4 interfaces the additional methods getDate() and setDate have been introduced.

Method Summary
`Date` `getDate()` Java 1.4 type safe access to getValue
`Date` `getValue()` Access to the content of this Attribute.
`void` `setDate(Date newValue)` Java 1.4 type safe access to setValue
`void` `setValue(Date newValue)`

Methods inherited from interface Attribute
`getDescriptor, getID, getType, nillable, operation, setValue`

Methods inherited from interface Property
`descriptor, name`

Method Detail

### setValue

    void setValue(Date newValue)

### getValue

    Date getValue()

  Description copied from interface: `Attribute`
  Access to the content of this Attribute.

  A subclass may define a more specific method to access this value, in order to improve readability or make allowances for Java 1.4 use.

  Specified by:
    `getValue` in interface `Attribute`
  Returns:
    Value Object of the class indicated by getType().getBinding()

### getDate

    Date getDate()

  Java 1.4 type safe access to getValue

  Returns:
    (Boolean) getValue()

### setDate

    void setDate(Date newValue)

  Java 1.4 type safe access to setValue

  Parameters:
    `newValue` -

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.